import {Component, Input} from '@angular/core';

@Component({
  selector: 'content-page',
  templateUrl: 'content-page.component.html',
  styleUrls: ['../../page.component.scss', 'content-page.component.scss']
})
export class ContentPageComponent {
  @Input() page: any;
  @Input() editMode = false;

  constructor() {
  }

  get sections() {
    return this.page?.sections?.data;
  }

  get sidebars() {
    return this.page?.sidebars?.data;
  }


  ngOnInit() {
  }


}
